@import url("https://use.typekit.net/tke1rlf.css");

* { 
    margin: 0; 
    padding: 0; 
    box-sizing: border-box; 
    -moz-hyphens: auto;
    -o-hyphens: auto;
    -webkit-hyphens: auto;
    -ms-hyphens: auto;
    hyphens: auto; 
}

html {	scroll-behavior: smooth;}

:root {
	--white: #f6f6f6;
	--black: #333;
	--green: #4aa1ae;
	--darkgreen: #246068;

    --marginBig:80px;
    --marginNormal:40px;
    --marginSmall:20px;
}

body {
    font-family: "adelle-sans-condensed", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 16px;
    text-align: center;
    color: var(--white);
    background-color:var(--darkgreen);
    margin: 0 120px;
}


#clouds {
    position: fixed; 
    z-index: 1;
    top: 0;
    left: -200px;
    background-image: url(./_assets/cloud.svg);
    background-size: cover;
    background-repeat: no-repeat;
    height: 90vh;
    width: 300%; 
    animation: clouds 80s linear infinite; /* Animation */
    opacity: 0.5;
}
@keyframes clouds {
    0% { left: -200px; transform: scale(1) rotate(0eg); }
    50% { transform: scale(0.9) rotate(2deg); }
    100% { left: -3040px; transform: scale(1.1) rotate(-1deg);} 
}


/*** Überschriften ***/
h1, h2, caption, h3, h4 {  margin: var(--marginSmall) 0; }

h1 { font-size: 4em; }
h2, caption { 
    font-size: 2em; 
    font-weight: 900;
    letter-spacing: 1px;
    text-transform: uppercase;
    color: var(--white); 
    background-color: var(--darkgreen);
    margin: var(--marginNormal) 0;
    padding: 10px 15px;
}
h3 { font-size: 1.5em;  color: var(--darkgreen); }
h4 { font-size: 1em; color: var(--black); }

#projekte h3 {
    font-size: 2.8em;
    font-weight: 900;
    letter-spacing: 20px;
    text-transform: uppercase;
    color: var(--white); 
    line-height: 1.1;
    margin-bottom: var(--marginNormal);
} 
#projekte h4 { font-size: 1.6em; } 
#projekte h5 { font-size: 1.1em; } 
#projekte h5 .icon { font-size: 1.3em; margin-right: -0.5em;}


.light {font-weight: 300; font-size: 0.8em;}

a { color: white; text-decoration: none; }

.up {
    display: inline-block; 
    background-color: unset; 
    border: var(--white) 1px solid;
}
/*** Legend: Icons ***/

#lebenslauf legend {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    position: sticky;
    z-index: 9000;
    top: 20px;
    filter: drop-shadow(0px 0px 2px var(--darkgreen));
    margin: 20px 0 50px 0; 
    width: 80%;
}

#projekte legend {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin: 20px 0 50px 0; 
    width: 60%;
}

.projekte legend {
    width: 100% !important;
    margin: 20px 0 20px 0 !important; 
}

legend a {
    background-color: var(--darkgreen);
    padding: 10px 12px;
    margin: 10px 5px;
    font-size: 0.9em;
    font-weight: 300;
    line-height: 1;
    transition: 0.2s;
    border: 1px solid white;
    cursor: pointer;
}
legend a:hover, legend a.active { background-color: var(--green); }

#downloads legend a {
    display: block;
    width: 400px;
    text-align: left;
}
#downloads legend a, #home legend a { font-size: 1.3em; }

#downloads legend a span  { font-size: 0.5em; }



/** Subsite: PROMO & ONAIR **/

#promo p { margin: var(--marginNormal) 0; font-size: 1.1em; }
#promo video {width: 70%}
#promo img {width: 35%}
#promo h3 { margin: 15px 0 5px 0; color: var(--white); }


/*** Header ***/
header {
    position: sticky;    
    z-index: 8000;
    top: var(--marginNormal);
    margin-top: var(--marginNormal);
    width: fit-content;
}

header label {
    display: flex;
    flex-direction: column;
    width: 50px;
    cursor: pointer;
}

header label span {
    background: var(--white);
    border-radius: 5px; 
    height: 5px; 
    margin: 5px 0; 
    transition: .4s cubic-bezier(0.68, -0.6, 0.32, 1.6);
    z-index: 9000;
}

header span:nth-of-type(1) { width: 50%; }
header span:nth-of-type(2) { width: 100%; }
header span:nth-of-type(3) { width: 75%; }

header input[type="checkbox"] { display: none; }
header input[type="checkbox"]:checked ~ #hambugerNav {  top: -100px; }

header input[type="checkbox"]:checked ~ span:nth-of-type(1) {
    transform-origin: bottom;
    transform: rotatez(45deg) translate(6px, 0px);
}
header input[type="checkbox"]:checked ~ span:nth-of-type(2) {
    transform-origin: top;
    transform: rotatez(-45deg)
}
header input[type="checkbox"]:checked ~ span:nth-of-type(3) {
    transform-origin: bottom;
    width: 50%;
    transform: translate(22px, -8px) rotatez(45deg); 
}

#hambugerNav {
    position: absolute;
    z-index: 8000;
    left:unset;
    height: unset;
    width: 160px;
    padding: 50px 20px 10px 20px;
    margin-left: 70px;
    top: -500px;
    background-color:var(--green);
    filter: drop-shadow(0px 0px 5px var(--darkgreen));
	transition: 0.3s;
}
#hambugerNav ul {
    padding-top: 50px;
	display: flex;
	flex-direction: column;
    align-items: flex-start;
    list-style: none;
    line-height: 2;
}
#hambugerNav a {
    font-weight: 600;
    position: relative;
}

#hambugerNav a::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 2.5px;
    bottom: -3px;
    left: 0;
    background-color: var(--white);
    transform: scaleX(0);
    transform-origin: left;
    transition: transform 0.3s ease-out;
}
#hambugerNav a:not(.active):hover::after { transform: scaleX(1);  }

#hambugerNav a.active {
    text-underline-offset: 5px;
    text-decoration: underline;
    text-decoration-thickness: 2.5px;
}


/*** Main ***/
main {
    margin: var(--marginNormal) var(--marginBig);
    min-height: calc(100vh - 240px);
    position: relative; 
    z-index: 2;
}
main.column-1 {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    text-align: center;
    margin-top: var(--marginNormal);
}


/*** Seite: Index ***/
#home {
    padding-top: 120px;
    text-align: left;
}

#home #intro { 
    font-size: 3em; 
    font-weight: 400;
    line-height: 1.35; 
    margin-bottom: var(--marginBig);
}

#home #intro span {
    font-size: 0.9em; 
    font-weight: 600;
    background-color: var(--green);
    padding: 0px 9px 1px 9px;
}

/*** Seite: Lebenslauf ***/
#lebenslauf table,
#skills-container { 
    width: 100%;
    display: flex; 
    flex-direction: column; 
    align-items: center; 
    color: var(--black); 
    line-height: 1.4;
    background-color: var(--white); 
    margin: 0px 0 100px 0;
    padding-bottom: var(--marginNormal);
}

#lebenslauf table tr { transition: 0.3s;}
#lebenslauf table tr:hover, #lebenslauf table tr:focus, #lebenslauf table tr:active  { background-color: rgba(214, 238, 240, 0.4); cursor: pointer;}
#lebenslauf table tr:hover td a { opacity: 1;  transition: 0.3s }
#lebenslauf table td { padding: 20px 0;   vertical-align: top; }
#lebenslauf table td:first-child {text-align: right;  width: 40%; border-right: 3px solid var(--black); padding-left: 18%;}
#lebenslauf table td:nth-child(2) {text-align: left; width: 60%; padding-right: 20%; }
#lebenslauf table a { font-weight: 600; margin-left: 20px; color: var(--green);  font-size: 0.9em; text-decoration: none; opacity: 0; transition: 0.3s;}

#lebenslauf table ul { list-style: none; line-height: 1.4; padding-left: 21px; font-size: 0.95em; margin-bottom: 10px;}
#lebenslauf table li {
    padding-left: 1.7em;
    text-indent: -1.5em;
}
#lebenslauf table li:before {
    content: '» ';
    color: var(--darkgreen);
    font-size: 1em;
    line-height: 1.7;
    margin-right: 0.7em;
}

#lebenslauf table .datum, #lebenslauf table .betrieb, #lebenslauf table .job  {
    font-weight: 900;
    text-transform: uppercase;
    letter-spacing: 0.5px;
}

#lebenslauf table .datum {
    color: var(--white);
    background-color: var(--darkgreen);
    padding: 5px 10px;
    font-size: 0.9em;
    display: inline-block;
    margin-bottom: 10px;
}

#lebenslauf table .job {
    margin: 13px auto 4px -15px;    
}
 #lebenslauf table .job:before {
    content: '●';
    color: var(--green);
    font-size: 3em;
    margin-right: 17px;
    margin-top: 11px;
    line-height: 0;
}
#lebenslauf table .job b { display: block; margin-top: -33px; margin-left: 35px;}
#lebenslauf table .ort, #lebenslauf table .betrieb, #lebenslauf table .datum { padding-right: 30px; }


#skills { width: 70%; text-align: left; }
#skills section { display: flex; align-items: center; justify-content: space-between;}

.skill-bar{
    width: 75%;
    margin: 0 auto;
    border: 2px var(--darkgreen) solid;
    height: 20px;
    position: relative;
    margin: var(--marginSmall) 0;
}
.skills {
    height: 20px;
    background-color: var(--darkgreen);
    border: 2px var(--darkgreen) solid;
    position: relative;
    z-index: 10;
    margin-top: -2px;
    width: 0; /* Startbreite auf 0 setzen */
    transition: width 1.5s ease-out; /* Übergangseffekt hinzufügen */
}
.bunder{
    background-color:var(--darkgreen);
    width:10px;
    height:35px;
    position:absolute;
    margin-top:-10px;
    right: -10px; /* Änderung von margin-left zu right */
    transition: right 1.5s ease-out; /* Übergangseffekt hinzufügen */
}

/* Klassen für die finalen Breiten */
.skill1 { --final-width: 100%; }
.skill2 { --final-width: 90%; }
.skill3 { --final-width: 20%; }
.skill4 { --final-width: 15%; }
.skill5 { --final-width: 80%; }

.animate-skill .skills {  width: var(--final-width); }
.animate-skill .bunder { right: -5px; }


/*** Seite: Lebenslauf - Overlay***/
#overlay {
    position: absolute;
    z-index: 9500;
    width: 100%;
    height: 100vh; /* Volle Bildschirmhöhe */
    left: 0;
    top: 0;
    display: none;
    backdrop-filter: blur(10px) brightness(40%);
    -webkit-backdrop-filter: blur(10px) brightness(40%);
    padding: 20px 0 50px 0;
    overflow-y: auto;
    cursor: pointer;
    flex-direction: column;
    align-items: center;
}
#overlay h3 { color: var(--white); font-size: 3em; margin: 15px 0 40px 0;   display: inline-block;}

#overlay legend {
    position: fixed;
    top: 40px;
    left: 40px;
}

#overlay legend a {
    font-size: 2.5em;
    padding: 3px 10px 0px 10px;
    margin: 0; 
    background-color: unset;
    border: none;
}

#overlay legend a:hover {
    background-color: unset;
    border: none;
}

#overlay embed {
    width: 80%;
    height: 80vh;
}

/*** Projekte ***/
#projekte .projekte { 
    display: flex; 
    min-height: 100vh; 
    margin-bottom: var(--marginNormal); 
    transition: 0.2s;
    border: solid var(--white) 4px;
}
#projekte .projekte:hover { transform: scale(1.02); }

.projekte:nth-child(even) { flex-direction: row-reverse;}

#projekte .beschreibung-hero {
    background-color:rgba(74, 161, 174, 0.65);
    width: 50%;
    padding: var(--marginNormal);
    font-size: 1.1em;
    line-height: 1.5;
} 

#projekte .beschreibung-hero p {
    font-weight: 200;
} 

#projekte .beschreibung-hero p span {
    font-weight: 400;
    background-color: var(--darkgreen);
    padding: 0px 3px 1px 3px;
} 

summary { 
    border: solid 1px var(--white); 
    font-weight: 600; 
    cursor: pointer; 
    font-size: 0.9em; 
    display: inline-block;
    padding: 5px 10px;
    margin-bottom: 8px; 
}
summary:hover { background-color: var(--darkgreen);}
details { font-size: 0.9em;}


#projekte .beschreibung-content {
    background-color: var(--white);
    color: var(--black);
    width: 50%;
}

#projekte .beschreibung-content img {
    width: 100%;
    height: 50vh;
    object-fit: cover;
}

#projekte .beschreibung-content section { margin: 0 var(--marginNormal)  var(--marginNormal)   var(--marginNormal) ;}

#projekte .beschreibung-content section div { margin: 0px 0px 20px 0; }

#projekte .beschreibung-content section div h5 {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: var(--marginSmall);
    color: var(--darkgreen);
    margin: 5px 0 5px 0;
 }

#projekte .beschreibung-content section div .light {  font-size: 0.9em; font-weight: 300; }


#projekte .beschreibung-content legend a { font-weight: 600; letter-spacing: 0.5px; }
#projekte .beschreibung-content legend a span  { font-size: 0.8em; font-weight: 400; }

/*** Footer ***/
footer {
    margin: var(--marginNormal) 0 var(--marginSmall) 0  ;
    text-align: right;
}

footer a {
    text-align: center;
    text-decoration: none;
    display: inline-block;
    height:50px;
    width: 50px;
    transition: 0.3s;
}
footer a:hover { transform: scale(1.05); }
footer a:first-child {margin-right: 10px;}



/*** Hippo ***/
#hippo {
    position: fixed;
    left: -36px; bottom: -25px; transform: rotate(-10deg) scale(0.8);
    font-size: 8em;
    cursor: pointer;
    transition: transform 0.1s;
}

#hippo.animate-hippo {
    animation: hippo 1s ease 1 backwards;
}
#hippo.shake-hippo {
    animation: shake 0.5s ease-in-out;
}

@keyframes hippo {
    0% {left: -150px; bottom: -15px; top: unset; right: unset;  transform: rotate(0deg) scale(1); }
    15%, 20% {left: 50vw; } 
    45% {left: 110vw; bottom: -15px; top: unset; right: unset;   transform: rotate(-10deg) scale(1.1); }
    48%, 50% {left: unset; bottom: unset; top: -15px; right: -15vw;   transform: rotate(180deg) scale(1.0); }
    70%, 75% {right: 50vw; }
    95%, 100% {left: unset; bottom: unset; top: -15px; right: 100vw;   transform: rotate(170deg) scale(0.9); }
}

@keyframes shake {
    0% { transform: translateX(0); }
    25% { transform: translateX(-5px); }
    50% { transform: translateX(5px); }
    75% { transform: translateX(-5px); }
    100% { transform: translateX(0); }
}



/*** MediaScreens Tablet ***/
@media only screen and (max-width: 1200px) {
    body {  margin: 0 20px; }

    header {
        top: var(--marginSmall);
        margin-top: var(--marginSmall);
    }

    #overlay img { width: 60%; }
}

/*** MediaScreens Tablet ***/
@media only screen and (max-width: 1024px) {
    body {  margin: 0 30px; }
    main { margin: 0; min-height: calc(100vh - 180px); }
    main.column-1 { margin-top: var(--marginNormal); }

    header { position: static; }
    header input[type="checkbox"]:checked ~ #hambugerNav {  top: 0; }

    #hambugerNav {
        position: fixed;
        top: -100vh;
        left:0;
        margin-left: 0;
        height: 100vh;
        width: 100%;
        display: flex;
        justify-content: center;
        background-color:var(--darkgreen);
    }
    #hambugerNav ul { align-items: center; padding-top: 110px; }   
    #hambugerNav a { font-size: 2em; }

    #home {padding-top: var(--marginBig); margin: 0 15px;}
    #home #intro {        font-size: 2.5em; }

    #lebenslauf table td:nth-child(2) { padding-right: 40px; }
    #lebenslauf table td:first-child { padding-left: 80px;}

    #overlay img { width: 70%; }

    #skills { width: 80%; text-align: left; }

    #projekte .projekte {
        flex-direction: column;           
        gap: 0;
        margin-bottom: var(--marginNormal);
    }
    #projekte .beschreibung-hero, #projekte .beschreibung-content {width: 100%; }
    #projekte .beschreibung-content img {height: 30vh; }

}


/*** MediaScreens Mobile ***/
@media only screen and (max-width: 768px) {
    body {  
        margin: 0 10px; 
        font-size: 14px;    
        text-align: center;   
    }

    header { margin-top: 10px; }

    legend a { 
        display: block; 
        background-color: var(--green); 
        border: 1px solid var(--green);
        filter: drop-shadow(1px 1px 1px var(--darkgreen));
        font-weight: 400;
        padding: 15px 12px;
        margin: 10px 0;
    }
    legend a:hover { background-color: var(--darkgreen); border: 1px solid var(--white);    }

    #home legend, #projekte legend { width: 100%;}

    #lebenslauf legend a { display: inline; margin: 0px 5px; padding: 11px 12px;   }
    #lebenslauf legend a .text-content { display: none;  }


    #lebenslauf table td:nth-child(2) { padding-right: 10px; }
    #lebenslauf table td:first-child { padding-left: 10px;}
    #lebenslauf table tr:hover, #lebenslauf table tr:focus, #lebenslauf table tr:active { background-color: unset; cursor: default; }
    #lebenslauf table tr:hover td a { opacity: 0; cursor: default; }

    #lebenslauf table .ort, #lebenslauf table .betrieb, #lebenslauf table .datum {   padding-right: 10px; }
    #lebenslauf table .job b { margin-left: 25px; }
    #lebenslauf table ul { padding-left: 14px; }
    #lebenslauf table li {
        padding-left: 0.5em;
        text-indent: -0.8em;
      }
    #lebenslauf table li::before {
        margin-right: 0.3em;
      }

    #skills { width: 90%; text-align: left; }

    #overlay legend { top: 20px; left: 20px;  }
    #overlay legend a { padding: 5px 10px; filter: none; }
    #overlay h3 { font-size: 2.5em; margin: 5px 0 40px 0;}
    #overlay img { width: 100%; padding: 0 20px; }

    #projekte legend {  display: block; }
    #projekte .beschreibung-content legend a { display: inline-block; }

    #projekte .projekte { border: none; }
    #projekte .projekte:hover { transform: none; }
    #projekte .beschreibung-hero {   padding: 10px;  } 
    #projekte .beschreibung-content section { margin: 0 10px 15px 10px; }

    #promo video,  #promo img,  #downloads legend a {width: 100%}

    #hippo { display: none;  }
}